.consent-bar {
    position: fixed;
    bottom: 0;
    background-color: #ffffff;
    border: 1px solid #f4f4f4;
    padding: 16.5px 24px;
    z-index: 9999;
    box-shadow: 0 -1px 10px 0 #acabab4d;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.consent-bar__group {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    gap: 30px;
}

.consent-bar__title p {
    font-weight: 700;
    font-size: 18px;
    line-height: 24px;
    color: #232A31;
}

.consent-bar__description p {
    color: inherit;
    font-size: 16px;
    margin: 0;
}

.consent-bar__buttons {
    white-space: nowrap;
    display: flex;
    align-items: flex-end;
    gap: 10px;
}

.consent-bar__buttons .btn {
    font-size: 14px;
    line-height: 24px;
    padding: 8px 27px;
    font-weight: 500;
    border-radius: 3.6875rem;
}

.btn-reject {
    color: #3e6be0;
    background: transparent;
    border: 2px solid #3e6be0;
}

.btn-reject:hover {
    color: #3a65d0;
    background: #ecebeb;
    border-color: #3a65d0;
}

.btn-accept {
    background: #3e6be0;
    color: #ffffff;
    border: 2px solid #3e6be0;
}

.btn-accept:hover {
    border-color: #3a65d0;
    background: #3a65d0;
    color: #ffffff;
}

@media (max-width: 768px) {
    .consent-bar__group {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 12px;
    }

    .consent-bar__buttons {
        margin: 0;
        justify-content: space-between;
        width: 100%;
    }

    .consent-bar__buttons .btn {
        white-space: nowrap;
        margin: 0;
        min-width: 100px;
        width: calc(50% - 10px);
    }
}